Source: libgd-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Dominic Hargreaves <dom@earth.li>,
           Xavier Guimard <yadd@debian.org>
Section: perl
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libextutils-pkgconfig-perl,
               libfile-which-perl,
               libfont-ttf-perl <!nocheck>,
               libgd-dev (>= 2.3.3-6~),
               libimage-exiftool-perl <!nocheck>,
               libregexp-assemble-perl <!nocheck>,
               libtest-fork-perl <!nocheck>,
               libtest-nowarnings-perl <!nocheck>,
               perl-xs-dev,
               perl:native
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libgd-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libgd-perl.git
Homepage: https://github.com/lstein/Perl-GD
Rules-Requires-Root: no

Package: libgd-perl
Architecture: any
Depends: ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Breaks: libgd-gd2-noxpm-perl (<= 1:2.46-2.1),
        libgd-gd2-perl (<= 1:2.46-3.1),
        libgd-graph-perl (<< 1.54~ds-3~)
Provides: libgd-gd2-noxpm-perl,
          libgd-gd2-perl
Replaces: libgd-gd2-noxpm-perl (<= 1:2.46-2.1),
          libgd-gd2-perl (<= 1:2.46-3.1)
Description: Perl module wrapper for libgd
 This is a autoloadable interface module for libgd, a popular library
 for creating and manipulating PNG files.  With this library you can
 create PNG images on the fly or modify existing files.  Features
 include:
 .
  * Lines, polygons, rectangles and arcs, both filled and unfilled
  * Flood fills
  * The use of arbitrary images as brushes and as tiled fill patterns
  * Line styling (dashed lines and the like)
  * Horizontal and vertical text rendering
  * Support for transparency and interlacing
  * Support for TrueType font rendering, via libfreetype.
  * Support for spline curves, via GD::Polyline
  * Support for symbolic font names, such as "helvetica:italic"
  * Support for symbolic color names, such as "green", via GD::Simple
  * Produces output in png, gif, jpeg and xbm format
  * Produces output in svg format via GD::SVG.
 .
 Included with the example code is the perl script qd.pl with QuickDraw
 routines for generating PICT2 files (used on Apple Macintosh).
